| Kea 3.0.2-git

fork.h File Reference

Help functions to fork the test case process. More...

`#include <unistd.h>`
Include dependency graph for fork.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util
namespace | isc::util::unittests

## Functions
pid_t | isc::util::unittests::check_output (int *write_pipe, const void *const output, const size_t length)
bool | isc::util::unittests::process_ok (pid_t process)
| Checks that a process terminates correctly.
pid_t | isc::util::unittests::provide_input (int *read_pipe, const void *input, const size_t length)

## Detailed Description

Help functions to fork the test case process.

Various functions to fork a process and feed some data to pipe, check its output and such lives here.

Definition in file fork.h.